Subject: RE: [lojban] Whatever

From: "And Rosta" <[email-masked]>
Date: Tue, 7 Aug 2001 03:14:34 +0100

Jorge:
> la and cusku di'e
> 
> > > mi ba te vecnu ta iju ta rupnu makau
> > > I will buy that, whatever it costs.
> >
> >= ro da zo'u gu mi ba te vecnu ta gi ta rupnu da
> 
> Yes, ok, except it doesn't cover {ta rupnu noda}, but then I
> guess I couldn't buy it anyway...

OK. I won't try to reformulate my paraphrase, because it would
be premature until I have a paraphrase for "what I have for 
dinner depends on what's in the fridge".

But anyway, assuming that something that costs $0.00 is rupnu 
li no, rather than rupnu no da, why would you want your 
sentence to cover things that rupnu no da -- i.e. things
that are in some sense priceless.

> In fact, I realized later that my version should have had {je}
> instead of {ju}. {ju} = {je xukau}, so I have too many kau's.

OK; I see, That makes the relationship to my paraphrase less
trivial.

ro da zo'u, in every possible future in which ta rupnu da,
mi te vecnu ta

ro da zo'u ro ba'oi tu'o du'u ta rupnu da kei mi te vecnu ta

This is a much better rendition of the English than my original
paraphrase. It makes it clearer that indirect questions 
always seem to involve universal quantifiers having scope over
some sort of operator [WHAT SORT? ANY SORT?] that has scope 
over the variable bound by the quantifier.

> >I'm not convinced that the makau is appropriate in your
> >sentence, on the grounds that it can be rephrased as I have
> >done, whereas not all Q-kau constructions can be thus rephrased.
> 
> (Except for the noda answer.) How about this one:
> 
> mi ba te vecnu ta ije xokau prenu na nelci ta
> I will buy it, however many people don't like it.

ro da zo'u, in every possible future in which da is the
cardinality of lo'i ge prenu gi na nelci ta, mi te vecnu ta

Or, being a bit flash and brandishing a mo'e:

ro da zo'u ro ba'oi tu'o du'u mo'e da ve'o prenu na nelci ta kei 
mi te vecnu ta

> > > mi ba te vecnu ta i [ju/xukau] ta kargu
> > > I will buy that, whether or not it is expensive.
> > >
> > > {xukau} would be an alternative to {ju}.
> >
> >= ro da (poi ke'a truthvalue) zo'u
> > gu mi ba te vecnu ta gi da jei ta kargu
> 
> Quantifying over truth values is pretty horrible, so you get
> only half points for that one. 

Well, if quantification over truth values is what the sentence
means, then ...

Anyway, let's try it in my revised method without a U-connective:

ro da zo'u ro ba'oi tu'o du'u da jei ta kargu kei kei mi te vecnu ta

BTW, let me make it clear that I'm not opposed to Q-kau, so long
as our goal is to seek a clear logical definition of it, such
that the logical structure of any Q-kau sentence can be 
algorithmically derived.

> But this can be done for the djuno
> case too: {mi djuno le du'u xukau ta kargu} -> {su'o da zo'u
> mi djuno le du'u da jei ta kargu}.

Yes, if {djuno} entails that the x2 is true. Won't work for,
say, cilre (assuming that one can cilre something that is in
fact false) -- {su'o da zo'u mi cilre tu'o du'u da jei ta kargu} does
not mean "I learnt whether it is expensive", because if it is false
that it is expensive, but I had learnt that it was true that it is
expensive, that Lojban sentence would still be true.

Instead we need:

ro da poi ke'a jei ta kargu zo'u mi cilre tu'o du'u da jei ta kargu

= tu'o bu'a cei jei ta kargu zo'u
ro da poi ke'a bu'a zo'u
mi cilre tu'o du'u da bu'a

[I'm very shakey on the grammar & logic of bu'a, so there may be 
errors here.]

> We can't have {ro} there. That suggests:
> 
> su'o da zo'u ge mi ba te vecnu ta gi da jei ta kargu

OK, but this doesn't mean I'll buy it whether or not it's expensive.
It means I'll buy it and it may or may not be expensive.

The latter is probably what my original with U-connection meant,
but the former is what the English "whatever it costs", and the
ro ba'oi and Q-kau Lojban versions mean.

> Interesting.
> ro da ...ju da...
> su'o da ...je da...

My brain has gone into Windows-style goslow due to overload, so I can't 
yea or nay this, but in the light of my comments above, the pattern 
looks a bit dubious.

> > > ui makau klama le zarci
> > > Happy! Whoever goes to the store.
> >
> > > e'a do lebna makau
> > > Permission! Whatever you take.
> >
> >I take it that the last 2 exx mean also that I am happy that the
> >nongoers are nongoers and that I also permit you not to take the
> >things you don't take.
> 
> In general, yes. In context, the relevant answer might exclude
> noda.

Yes, but I mean where the answer is not "no da" but "John and Bill
*but not* Mary".

> >It's these extra meanings that stop
> >
> > ro da zo'u ui/e'a do lebna da
> >
> >from working.
> 
> Does that mean that I feel happy/give permission N times, once
> for every da? That'd be exhausting.

Not as exhausting as discussing the logic of Q-kau is.

--And.